> ## Documentation Index
> Fetch the complete documentation index at: https://mindcase.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Zepto Category

> Extract Zepto category page listings — products, prices, stock, ratings — from category URLs

`$0.005 / 1k products`

Extract Zepto category page listings — products, prices, stock, ratings — from category URLs

## Endpoint

`POST /api/v1/agents/zepto/category/run`

## Parameters

<ParamField body="category" type="array" required>
  **Multi-select** · Subcategories to scrape (Main → Sub). Pick one or more.

  [View all 416 options →](/agents/zepto/category/values#category)
</ParamField>

<ParamField body="stores" type="array">
  **Multi-select** · Pick one or more dark-store locations (city - pincode - store ID).

  [View all 1202 options →](/agents/zepto/category/values#stores)
</ParamField>

<ParamField body="cities" type="array">
  **Multi-select** · Or expand by city — pick one or more cities and we'll include all their stores.

  [View all 82 options →](/agents/zepto/category/values#cities)
</ParamField>

<ParamField body="pincodes" type="array">
  **Multi-select** · Or expand by pincode — pick one or more pincodes and we'll include all their stores.

  [View all 695 options →](/agents/zepto/category/values#pincodes)
</ParamField>

## Response columns

| Field         | Display name | Type       |
| ------------- | ------------ | ---------- |
| `category`    | Category     | text       |
| `storeId`     | Store ID     | text       |
| `city`        | City         | text       |
| `pincode`     | Pincode      | text       |
| `productUrl`  | Product URL  | url        |
| `productName` | Product Name | text       |
| `brand`       | Brand        | text       |
| `image`       | Image        | url        |
| `price`       | Price        | currency   |
| `mrp`         | MRP          | currency   |
| `discount`    | Discount %   | percentage |
| `quantity`    | Quantity     | text       |
| `rating`      | Rating       | rating     |
| `inStock`     | In Stock     | boolean    |
| `inventory`   | Inventory    | number     |
| `subCategory` | Sub-Category | text       |
| `platform`    | Platform     | text       |
| `productId`   | Product ID   | text       |

## Example

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://api.mindcase.co/api/v1/agents/zepto/category/run \
    -H "Authorization: Bearer mk_live_abc123def456" \
    -H "Content-Type: application/json" \
    -d '{
    "params": {
      "category": [
        "https://www.zepto.com/cn/biscuits/cookies/cid/2552acf2-2f77-4714-adc8-e505de3985db/scid/7b07c0b3-d0c6-4ec0-995a-35c17adce0d8"
      ],
      "stores": [
        "3d03e7a7-4ded-458a-9349-2978cd333ef0"
      ]
    }
  }'
  ```

  ```python Python theme={null}
  import requests

  resp = requests.post(
      "https://api.mindcase.co/api/v1/agents/zepto/category/run",
      headers={"Authorization": "Bearer mk_live_abc123def456"},
      json={"params": {
      "category": [
          "https://www.zepto.com/cn/biscuits/cookies/cid/2552acf2-2f77-4714-adc8-e505de3985db/scid/7b07c0b3-d0c6-4ec0-995a-35c17adce0d8"
      ],
      "stores": [
          "3d03e7a7-4ded-458a-9349-2978cd333ef0"
      ]
  }},
  )
  data = resp.json()
  ```
</CodeGroup>

### Example response

```json Response theme={null}
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "category": "Biscuits",
      "storeId": "3d03e7a7-4ded-458a-9349-2978cd333ef0",
      "city": "New Delhi",
      "pincode": "110002",
      "productUrl": "https://www.zepto.com/pn/x/pvid/e560e255-0121-5fae-beba-078e0c719e65",
      "productName": "Sunfeast Farmlite Oats And Almonds",
      "brand": "Farmlite",
      "image": [
        "https://cdn.zeptonow.com/production/cms/product_variant/575150f6-b98c-422d-ba7d-2cb3506dc18b.jpeg"
      ],
      "price": 25.0,
      "mrp": 26.0,
      "discount": 3.0,
      "quantity": "1 pack (75 g)",
      "rating": 4.5,
      "inStock": true,
      "inventory": 4,
      "subCategory": "Cookies",
      "platform": "Zepto",
      "productId": "e560e255-0121-5fae-beba-078e0c719e65"
    }
  ]
}
```
